Subject: bug#1775: [Terran Lane] meta-delete has wrong default binding; should be "kill-word"

From: Sven Joachim <[email-masked]>
Date: Sat, 03 Jan 2009 13:51:18 +0100

Another old bug in Debian's BTS.  While the report is not too informing,
I wonder why M-delete is not bound to kill-word:

,---- C-h k M-delete
| M-DEL (translated from <M-delete>) runs the command
| backward-kill-word, which is an interactive compiled Lisp function in
| `simple.el'.
| 
| It is bound to <C-backspace>, M-DEL.
`----

,---- C-h w kill-word
| kill-word is on <C-delete>, M-d
`----

Would it not be consistent to bind M-delete to kill-word?

Subject: Bug#193483: emacs21: meta-delete has wrong default binding; should be "kill-word"
From: Terran Lane <[email-masked]>
To: [email-masked]
Cc: Terran Lane <[email-masked]>
Date: Thu, 15 May 2003 17:34:44 -0500

Package: emacs21
Version: n/a
Severity: normal

On Wed, May 14, 2003 at 01:23:29PM -0600, Terran Lane wrote:
> I had to go back and look at my emacs config to remember what was
> messed up.
> 
> It's not backspace and delete _directly_ that are the problems.  On my
> work debian box, the "backspace" key produces the "DEL" emacs
> keybinding symbol, while the "delete" key produces the "^D" symbol.
> (As you say, I don't care what symbol it produces _internally_ so long
> as it _does_the_right_thing_.  But it _is_ mystifying why the
> "backspace" key doesn't just produce the "BACKSPACE" symbol and let
> the "delete" key produce the "DEL" symbol.)
> 
> At _any_ rate, the real brokenness comes in when you hit
> meta-backspace or meta-delete, which _both_ produce the "M-DEL"
> symbol.  The default binding of this symbol is "backward-kill-word",
> which makes sense for the "meta-backspace" key combo, but _not_ for
> the "meta-delete" key combo (which should, by symmetry, invoke
> "kill-word", the forward-going equivalent).  I haven't gotten around
> to trying to fix this key mapping myself yet, but I'm annoyed that I
> should have to.  <shrug>
> 
> Anyway, just my rant for today.  ;-)

On Wed, May 14, 2003 at 02:10:47PM -0600, Terran Lane wrote:
> Behold: on that day, 14 of May in the year 2003,
> Branden Robinson spake unto me, saying:
> 
> > Okay.  I'm going to file a bug report using the above, and set you
> > to be the submitter, if you don't mind.  :)
> 
> Sure, go right ahead.  If I wasn't such a lazy, grumbly bastard, I
> would do it myself.  ;-)  You might tack on to the report the following:
> 
> "General principle for emacs keybindings: all distinct keypress
> combinations should yield distinct internal symbols.  The only
> exception are aliased keycaps -- e.g., left and right ALT should do
> the same thing, left and right CTRL, etc.  In the PC keyboard world,
> it's also acceptable for both ESC key and ALT to do the same thing.
> But DELETE/BACKSPACE should be distinct under all modifier combos.
> (As should HOME/END/PAGE UP/MENU KEY, etc.)"

-- 
G. Branden Robinson            |        "There is no gravity in space."
Free Software Developer        |        "Then how could astronauts walk
[email-masked]          |         around on the Moon?"
http://deadbeast.net/~branden/ |        "Because they wore heavy boots."